
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderpayrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for RenderingTypeListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="RenderingTypeListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Narrative"/&amp;gt;
 *     &amp;lt;enumeration value="XSLT"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "RenderingTypeListType")
@XmlEnum
public enum RenderingTypeListType {

    @XmlEnumValue("Narrative")
    NARRATIVE("Narrative"),
    XSLT("XSLT"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    RenderingTypeListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RenderingTypeListType fromValue(String v) {
        for (RenderingTypeListType c: RenderingTypeListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
